SecurityTracker.com
    Home    |    View Topics    |    Search    |    Contact Us    |   

SecurityTracker
Archives


 


Category:   Application (Web Browser)  >   Mozilla Firefox Vendors:   Mozilla.org
Mozilla Firefox Use-After-Free Memory Error in Compositor Lets Remote Users Execute Arbitrary Code on the Target System
SecurityTracker Alert ID:  1040574
SecurityTracker URL:  http://securitytracker.com/id/1040574
CVE Reference:   CVE-2018-5148   (Links to External Site)
Date:  Mar 27 2018
Impact:   Execution of arbitrary code via network, User access via network
Fix Available:  Yes  Vendor Confirmed:  Yes  

Description:   A vulnerability was reported in Mozilla Firefox. A remote user can execute arbitrary code on the target system.

A remote user can create specially crafted content that, when loaded by the target user, will trigger a use-after-free memory error in compositor during certain graphics operations and execute arbitrary code on the target user's system.

Jesse Schwartzentruber reported these vulnerabilities.

Impact:   A remote user can execute arbitrary code on the target system.
Solution:   The vendor has issued a fix (59.0.2; ESR 52.7.3).

The vendor advisory is available at:

https://www.mozilla.org/en-US/security/advisories/mfsa2018-10/

Vendor URL:  www.mozilla.org/en-US/security/advisories/mfsa2018-10/ (Links to External Site)
Cause:   Access control error
Underlying OS:  Linux (Any), UNIX (Any), Windows (Any)

Message History:   This archive entry has one or more follow-up message(s) listed below.
Mar 28 2018 (Ubuntu Issues Fix) Mozilla Firefox Use-After-Free Memory Error in Compositor Lets Remote Users Execute Arbitrary Code on the Target System
Ubuntu has issued a fix for Ubuntu Linux 14.04 LTS, 16.04 LTS, and 17.10.
Apr 10 2018 (Red Hat Issues Fix) Mozilla Firefox Use-After-Free Memory Error in Compositor Lets Remote Users Execute Arbitrary Code on the Target System
Red Hat has issued a fix for Red Hat Enterprise Linux 7.
Apr 11 2018 (Red Hat Issues Fix) Mozilla Firefox Use-After-Free Memory Error in Compositor Lets Remote Users Execute Arbitrary Code on the Target System
Red Hat has issued a fix for Red Hat Enterprise Linux 6.



 Source Message Contents



[Original Message Not Available for Viewing]


Go to the Top of This SecurityTracker Archive Page





Home   |    View Topics   |    Search   |    Contact Us

This web site uses cookies for web analytics. Learn More

Copyright 2019, SecurityGlobal.net LLC